# 设置基础镜像
FROM docker.io/bitnami/nginx:1.24
# 定义作者
MAINTAINER marsal
# 将dist文件中的内容复制到 /usr/share/nginx/html/ 这个目录下面
COPY dist/  /app/
#用本地的 default.conf 配置来替换nginx镜像里的默认配置
COPY jenkins/swarm/nginx/default.conf /opt/bitnami/nginx/conf/server_blocks/default.conf
